Name:           perl-PAR-Packer
Version:        1.015
Release:        1%{?dist}
Summary:        PAR Packager
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PAR-Packer/
Source0:        http://www.cpan.org/authors/id/R/RS/RSCHUPP/PAR-Packer-%{version}.tar.gz
Source1:        extract_icon
Source2:        tkpp.desktop
BuildRequires:  perl(inc::Module::Install) >= 0.92
BuildRequires:  perl(Compress::Zlib) >= 1.3
BuildRequires:  perl(ExtUtils::Embed)
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Archive::Zip) >= 1
BuildRequires:  perl(base)
BuildRequires:  perl(bytes)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp) >= 0.05
BuildRequires:  perl(Getopt::ArgvFile) >= 1.07
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Module::ScanDeps) >= 1.09
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(PAR) >= 1.005
BuildRequires:  perl(PAR::Dist) >= 0.22
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Archive::Zip) >= 1
Requires:       perl(Compress::Zlib) >= 1.3
Requires:       perl(File::Temp) >= 0.05
Requires:       perl(Getopt::ArgvFile) >= 1.07
Requires:       perl(IO::Compress::Gzip)
Requires:       perl(Module::ScanDeps) >= 1.09
Requires:       perl(PAR) >= 1.005
Requires:       perl(PAR::Dist) >= 0.22

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Archive::Zip|File::Temp|Getopt::ArgvFile|Module::ScanDeps|PAR\\)\\s*$

%description
This module implements the App::Packer::Backend interface, for generating
stand-alone executables, perl scripts and PAR files.

%package Tk
Summary:        Front-end to pp written in Perl/Tk
BuildArch:      noarch
BuildRequires:  desktop-file-utils
#BuildRequires:  perl(MIME::Base64)
Requires:       %{name} = %{version}-%{release}
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(ExtUtils::MakeMaker)
Requires:       perl(File::Temp)
Requires:       perl(Tk::ColoredButton)
Requires:       perl(Tk::EntryCheck)
Requires:       perl(Tk::Getopt)
Requires:       perl(Tk::Pod)

%description Tk
Tkpp is a GUI front-end to pp, which can turn perl scripts into standalone
PAR files, perl scripts or executables.

%prep
%setup -q -n PAR-Packer-%{version}
# Remove bundled modules
rm -rf inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
# DEBUG variable needed to disable stripping binary
DEBUG=1 perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
# The Makefile is not parallel-safe.
make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} %{buildroot}/*
# Install desktop file
%{SOURCE1} < script/tkpp > tkpp.gif
install -m644 -D tkpp.gif \
    $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/tkpp.gif
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}

%check
make test

# Sctipts needed for icon cache management
%post Tk
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun Tk
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans Tk
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS ChangeLog README TODO
%{perl_vendorlib}/*
%{_bindir}/par.pl
%{_bindir}/parl
%{_bindir}/parldyn
%{_bindir}/pp
%{_mandir}/man1/*.1.*
%exclude %{_mandir}/man1/tkpp.1.*
%{_mandir}/man3/*

%files Tk
%{_bindir}/tkpp
%{_mandir}/man1/tkpp.1.*
%{_datadir}/applications/tkpp.desktop
%{_datadir}/icons/hicolor/32x32/apps/tkpp.gif

%changelog
* Fri Oct 11 2013 Petr Šabata <contyk@redhat.com> - 1.015-1
- 1.015 bugfix bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.014-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 1.014-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.014-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 02 2013 Petr Pisar <ppisar@redhat.com> - 1.014-1
- 1.014 bump

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.013-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 1.013-1
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.012-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Petr Pisar <ppisar@redhat.com> - 1.012-2
- Poke icon cache

* Mon Dec 05 2011 Petr Pisar <ppisar@redhat.com> - 1.012-1
- 1.012 bump

* Fri Dec 02 2011 Petr Pisar <ppisar@redhat.com> - 1.011-1
- 1.011 bump (fixes CVE-2011-4114)
- Specify run-time dependencies versions
- Sub-package tkpp into perl-PAR-Packer-Tk
- Create Free Desktop menu entry

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.010-2
- Perl mass rebuild

* Thu Jul 14 2011 Petr Sabata <contyk@redhat.com> - 1.010-1
- 1.010 bump
- Removing defattr

* Fri May  6 2011 Petr Sabata <psabata@redhat.com> - 1.009-1
- 1.009 bump
- Removing buildroot garbage

* Fri Feb 25 2011 Petr Pisar <ppisar@redhat.com> - 1.008-3
- Do not strip binaries

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.008-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Petr Sabata <psabata@redhat.com> - 1.008-1
- New upstream release, v1.008
- New source URL

* Wed Sep 29 2010 jkeating - 1.007-2
- Rebuilt for gcc bug 634757

* Tue Sep 14 2010 Petr Sabata <psabata@redhat.com> - 1.007-1
- New release, v1.007

* Tue Aug 24 2010 Adam Tkac <atkac redhat com> - 1.005-2
- rebuild

* Fri Jun 11 2010 Petr Sabata <psabata@redhat.com> - 1.005-1
- Update to the latest release, fixing #602933

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.991-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.991-5
- rebuild against perl 5.10.1

* Wed Sep 23 2009 Stepan Kasal <skasal@redhat.com> - 0.991-4
- too hard to build without stripping (#524894)

* Mon Sep 21 2009 Stepan Kasal <skasal@redhat.com> - 0.991-3
- patch to use $RPM_OPT_FLAGS
- patch to submit the third parameter to open()

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.991-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.991-1
- Specfile autogenerated by cpanspec 1.78.
